Bug 1020470 - [abrt] gdb-7.5.1-42.fc18: d_demangle_callback: Process /usr/bin/gdb was killed by signal 11 (SIGSEGV)
[abrt] gdb-7.5.1-42.fc18: d_demangle_callback: Process /usr/bin/gdb was kille...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gdb (Show other bugs)
18
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jan Kratochvil
Fedora Extras Quality Assurance
abrt_hash:e2b15d7f4f6165905fa2bc008c1...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-17 14:01 EDT by Dante
Modified: 2014-02-05 17:29 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 17:29:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (20.59 KB, text/plain)
2013-10-17 14:01 EDT, Dante
no flags Details
File: cgroup (128 bytes, text/plain)
2013-10-17 14:01 EDT, Dante
no flags Details
File: core_backtrace (6.74 KB, text/plain)
2013-10-17 14:01 EDT, Dante
no flags Details
File: dso_list (8.25 KB, text/plain)
2013-10-17 14:01 EDT, Dante
no flags Details
File: environ (5.51 KB, text/plain)
2013-10-17 14:01 EDT, Dante
no flags Details
File: exploitable (82 bytes, text/plain)
2013-10-17 14:01 EDT, Dante
no flags Details
File: limits (1.29 KB, text/plain)
2013-10-17 14:02 EDT, Dante
no flags Details
File: maps (28.84 KB, text/plain)
2013-10-17 14:02 EDT, Dante
no flags Details
File: open_fds (867 bytes, text/plain)
2013-10-17 14:02 EDT, Dante
no flags Details
File: proc_pid_status (795 bytes, text/plain)
2013-10-17 14:02 EDT, Dante
no flags Details
File: var_log_messages (276 bytes, text/plain)
2013-10-17 14:02 EDT, Dante
no flags Details

  None (edit)
Description Dante 2013-10-17 14:01:25 EDT
Version-Release number of selected component:
gdb-7.5.1-42.fc18

Additional info:
reporter:       libreport-2.1.7
backtrace_rating: 4
cmdline:        gdb --interpreter mi2 --nx
crash_function: d_demangle_callback
executable:     /usr/bin/gdb
kernel:         3.10.14-100.fc18.i686
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 d_demangle_callback at ../../libiberty/cp-demangle.c:5179
 #1 d_demangle at ../../libiberty/cp-demangle.c:5262
 #2 cplus_demangle_v3 at ../../libiberty/cp-demangle.c:5419
 #3 cplus_demangle at ../../libiberty/cplus-dem.c:858
 #4 demangle_for_lookup at ../../gdb/symtab.c:1153
 #5 lookup_symbol_in_language at ../../gdb/symtab.c:1230
 #6 lookup_symbol at ../../gdb/symtab.c:1246
 #7 check_typedef at ../../gdb/gdbtypes.c:1790
 #8 get_value_type at ../../gdb/varobj.c:2592
 #9 default_value_is_changeable_p at ../../gdb/varobj.c:3114
Comment 1 Dante 2013-10-17 14:01:32 EDT
Created attachment 813466 [details]
File: backtrace
Comment 2 Dante 2013-10-17 14:01:37 EDT
Created attachment 813467 [details]
File: cgroup
Comment 3 Dante 2013-10-17 14:01:42 EDT
Created attachment 813468 [details]
File: core_backtrace
Comment 4 Dante 2013-10-17 14:01:47 EDT
Created attachment 813469 [details]
File: dso_list
Comment 5 Dante 2013-10-17 14:01:51 EDT
Created attachment 813470 [details]
File: environ
Comment 6 Dante 2013-10-17 14:01:56 EDT
Created attachment 813471 [details]
File: exploitable
Comment 7 Dante 2013-10-17 14:02:00 EDT
Created attachment 813472 [details]
File: limits
Comment 8 Dante 2013-10-17 14:02:04 EDT
Created attachment 813474 [details]
File: maps
Comment 9 Dante 2013-10-17 14:02:10 EDT
Created attachment 813476 [details]
File: open_fds
Comment 10 Dante 2013-10-17 14:02:14 EDT
Created attachment 813478 [details]
File: proc_pid_status
Comment 11 Dante 2013-10-17 14:02:18 EDT
Created attachment 813479 [details]
File: var_log_messages
Comment 12 Fedora End Of Life 2013-12-21 09:40:57 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Fedora End Of Life 2014-02-05 17:29:04 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.